
From: Dominik Brodowski <linux@dominikbrodowski.net>

Add pcmcia_device_id table.

Signed-off-by: Dominik Brodowski <linux@dominikbrodowski.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/net/wireless/airo_cs.c |   10 ++++++++++
 1 files changed, 10 insertions(+)

diff -puN drivers/net/wireless/airo_cs.c~pcmcia-id_table-for-airo_cs drivers/net/wireless/airo_cs.c
--- 25/drivers/net/wireless/airo_cs.c~pcmcia-id_table-for-airo_cs	2005-02-28 15:48:41.000000000 -0800
+++ 25-akpm/drivers/net/wireless/airo_cs.c	2005-02-28 15:48:41.000000000 -0800
@@ -559,6 +559,15 @@ static int airo_event(event_t event, int
 	return 0;
 } /* airo_event */
 
+static struct pcmcia_device_id airo_ids[] = {
+	PCMCIA_DEVICE_MANF_CARD(0x015f, 0x000a),
+	PCMCIA_DEVICE_MANF_CARD(0x015f, 0x0005),
+	PCMCIA_DEVICE_MANF_CARD(0x015f, 0x0007),
+	PCMCIA_DEVICE_MANF_CARD(0x0105, 0x0007),
+	PCMCIA_DEVICE_NULL,
+};
+MODULE_DEVICE_TABLE(pcmcia, airo_ids);
+
 static struct pcmcia_driver airo_driver = {
 	.owner		= THIS_MODULE,
 	.drv		= {
@@ -566,6 +575,7 @@ static struct pcmcia_driver airo_driver 
 	},
 	.attach		= airo_attach,
 	.detach		= airo_detach,
+	.id_table       = airo_ids,
 };
 
 static int airo_cs_init(void)
_
